Kerbal Space Program - Bug #22692

Radiators not tracking sun
05/31/2019 03:45 AM - m_creech

Status: Closed Start date: 05/30/2019
Severity: Low % Done: 100%
Assignee: just_jim
Category: Parts
Target version: 1.8.0
Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Noticed the issue while testing a refinery lander. When the solar panels and radiators were extended, the SPs tracked the sun as
normal but the radiators stayed fixed. A test rig was built to demonstrate, pics included below. The test rig was launched with panels
and radiators extended, and all behaved correctly. The parts were retracted and then extended, at which point the radiator tracking
failed. Solar panels function as usual. No idea yet if this affects cooling performance or is merely cosmetic.

version is 1.7.1.2539 WindowsPlayerx64 en-us, Steam, no mods.

This sandbox game was started in v1.7.0

History

#1 - 05/31/2019 10:18 AM - DV-13
- File screenshot405.png added

Can confirm.
Steps to replicate:

1. Add a radiator to craft
2. Launch
3. Extend radiator

#2 - 06/03/2019 12:08 AM - m_creech
Editing to add:

After reverting to 1.7.0.2483, found the issue present in that version also.

#3 - 06/09/2019 05:26 PM - MattStryker

- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Expansion Breaking Ground, Making History added

This was one of the first things | noticed after returning to KSP after buying Breaking Ground and Making History. | made a new test craft also to
check this. Solar Panels work like they should, but all radiators are locked in place.

#5 - 10/21/2019 08:43 PM - just_jim
- Status changed from Confirmed to Updated

#6 - 10/21/2019 08:43 PM - just_jim
- Status changed from Updated to Being Worked On
- % Done changed from 10 to 30

#7 - 10/21/2019 08:44 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.8.0

- % Done changed from 30 to 80

#8 - 10/21/2019 08:45 PM - just_jim

- Assignee set to just jim

#9 - 10/21/2019 09:10 PM - jclovis3

Tested in 1.8.0.2686 and seems to work as expected. Set all extended from design a well as retracted to see if there could be a difference. Used
action groups for toggle radiators separately from solar panels. They move into position upon extension, and track while under normal warp from the
launch pad. Seems to work in space too after reorienting craft around to different angles.

#10 - 10/22/2019 03:33 PM - just_jim
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#11 - 10/22/2019 04:03 PM - chris.fulton

- Status changed from Resolved to Closed

Files

panels_tracking.png
panels_closed.png
panels_locked1.png
panels_locked2.png
screenshot405.png

04/10/2024

190 KB
167 KB
215 KB
542 KB
687 KB

05/31/2019
05/31/2019
05/31/2019
05/31/2019
05/31/2019

22

m_creech
m_creech
m_creech
m_creech

DV-13


http://www.tcpdf.org

